submissions
Mark a submission as spam
Moves the submission to spam. Spam is left out of lists unless you ask for it with status=spam or status=all.
POST
/
v1
/
forms
/
{form_id}
/
submissions
/
{submission_id}
/
spam
Mark a submission as spam
curl --request POST \
--url https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "64c000000000000000000001",
"form_id": "AbC123xyz",
"created_at": "2026-01-15T10:00:00.000Z",
"spam": true,
"read": true,
"ip": "<string>",
"country": "DE",
"user_agent": "<string>",
"referer": "<string>",
"fields": [
{
"key": "email",
"value": "ann@example.com"
}
],
"attachments": [
{
"key": "cv",
"url": "<string>",
"mime_type": "application/pdf"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The form's id, as shown in the dashboard and in the form's endpoint URL
The submission's id
Response
Example:
"64c000000000000000000001"
Example:
"AbC123xyz"
Example:
"2026-01-15T10:00:00.000Z"
The address the submission came from, or null when unknown.
Two letter uppercase code from the address, or null when unknown.
Example:
"DE"
The visitor's browser, as it announced itself, or null.
The page the form was on, as the browser reported it, or null.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Mark a submission as spam
curl --request POST \
--url https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.formcarry.com/v1/forms/{form_id}/submissions/{submission_id}/spam")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "64c000000000000000000001",
"form_id": "AbC123xyz",
"created_at": "2026-01-15T10:00:00.000Z",
"spam": true,
"read": true,
"ip": "<string>",
"country": "DE",
"user_agent": "<string>",
"referer": "<string>",
"fields": [
{
"key": "email",
"value": "ann@example.com"
}
],
"attachments": [
{
"key": "cv",
"url": "<string>",
"mime_type": "application/pdf"
}
]
}